<?php
session_start();
include("cls_conexion.php");
$CNN=new ClsMySQL();
include("conexion23.php");
//++++
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//+++++++
$HW=V($_SESSION['SYS_HW']);
$IdUsu=vbval(V($_SESSION['SYS_USER_ID']));
//
$StrGT="";
$SYS_MSG="";
$SYS_FOC="";
$OK=1;
$ACTUALIZAR=0;
//
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
$LStrPag=V($_POST['TxtPag']);
//
include("ges_xml_costos_fun.php");
//
$VP_RegXPag=100;
$LStrTR=gn("count(*)","ges_xml_costos_tipos","id_ct>0");
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);	
$TI=0;
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Costos conceptos</title>
<!--INI_SCRIPT------------------------------------------------------------------------------>
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>
<script type="text/javascript" src="ja/ges_xml_costos.js"></script>
<!--FIN_SCRIPT------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />

<style type="text/css">
.cF {height:600px;width:480px;position:relative;top:0px ;}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

.tableFixHead          { overflow-y: auto; overflow:auto; border:solid 1px #363636;position: absolute; }
.tableFixHead thead th { position: sticky; top: 0; }
table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#A0A0A0}
</style>
<script>
function FUN_INI(){
  Inicializar();
  //
  SYS_LOAD();
  var act=gv("ACTUALIZAR");
  if(jVal(act)==1){
	  window.opener.document.getElementById("Con").innerHTML=document.getElementById("Con").innerHTML;
  }
}
</script>
</head>

<body onLoad="FUN_INI()" >
<div align="center">

<div Id="DivFRM"  class="cF" style="background-color:#FDFCC1;">
<form id="Frm" name="Frm" method="post" autocomplete="off"
action="ges_xml_costos.php" enctype="multipart/form-data" 
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!--INI_TITULO--------------------------------->
<div id="DivT" class="dT" style="width:480px" >
<img src="png/ges_home64.png"  class="iT" />
<div class="tT" style="width:250px">COSTOS CONCEPTOS</div>
</div>
<!--FIN_TITULO--------------------------------->

<div class="s1" style="left: 35px; top: 115px; width: 356px;">
  NOMBRE </div>
<input name="Nom"  type="text" id="Nom"
class="lt" style="left: 35px; top: 135px; width: 405px"
tabindex="<?php echo ++$TI;?>"
value="<?php echo $Nom;?>"/>


<!--INI_BOTONES-------------------------------->
<div id="DivBtn" align="left" 
style="position:absolute; left: 33px; top: 71px; width:400px; height: 26px;">
<input name="CmdB" type="button" id="CmdG" class="btm" 
<?php GOM($StrId);?>
onclick="fGuardar();"  
tabindex="<?php echo ++$TI;?>"/>

<input name="CmdB" type="button" id="CmdC"  class="btm" 
value="Nuevo" onClick="fCancelar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdE" class="btm" 
value="Eliminar" onClick="fEliminar();"
<?php DIS($StrId);?>
tabindex="<?php echo ++$TI;?>" />
</div>
<!--FIN_BOTONES-------------------------------->
<div  style="position: absolute; left: 35px; top: 163px; ; width: 409px;height: ">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px">
<thead>
<tr>
<td colspan="10" height="18" align="center">
<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
</thead>
</table>
</div>

<div class="tableFixHead" style="left: 35px; top: 194px; width: 406px; height: 383px; background-color: #FFF">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" >
<thead>
<tr>
<th width="96%" align="left">NOMBRE</th>

<th width="4%">&nbsp;</th>
</tr>
</thead>
<tbody>
<?php
$PX=0;
$s="SELECT * FROM ges_xml_costos_tipos WHERE id_ct>0 ORDER BY ct_nom ";	
$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
$rs=grs($s);
while($r=$rs->fetch_assoc()){	
$PX++;
$CSS="";
if($PX%2==0)$CSS=' style="background-color:#D4D4D4" ';
?>
<tr onDblClick="fAc(<?php echo $r['id_ct'];?>);" <?php echo $CSS;?>>
<!----------------------------------------------->
<td><?php echo $r['ct_nom'];?></td>
<!----------------------------------------------->
<td align="center">
<a href="javascript:void(0)" onClick="fAc(<?php echo $r['id_ct'];?>);">
<img src="img/b_edit.png"  border="0"/></a></td>
</tr>
<?php
}
?>		  

</tbody>
</table>
</div>
<!--INI_OCULTOS-------------------------------->
<?php
include("ocultos.php");
?>
<!--INI_OCULTOS-------------------------------->
<input name="SYS_MSG" type="hidden" id="SYS_MSG" value="<?php echo $SYS_MSG;?>" />
<input name="SYS_FOC" type="hidden" id="SYS_FOC" value="<?php echo $SYS_FOC;?>" />

<input name="ACTUALIZAR" type="hidden" id="ACTUALIZAR" value="<?php echo $ACTUALIZAR;?>" />

<select name="Con" id="Con"  
class="lt" style="left: 35px; top: 290px; width: 278px; display:none" 
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO("ct_nom","ges_xml_costos_tipos","id_ct>0",$Con,"N","S");
?>
</select>


</form>
</div>
</div>
</body>
</html>
